Name:             buoh
License:          GPLv2+
Group:            Applications/Internet
Version:          0.8.2
Release:          7%{?dist}
Summary:          Online comics reader
URL:              http://buoh.steve-o.org/
Source:           http://buoh.steve-o.org/downloads/buoh-%{version}.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    desktop-file-utils,perl, perl-XML-Parser, gettext, gtk2-devel, libsoup22-devel, libgnomeui-devel, GConf2-devel
Requires(post):   GConf2
Requires(postun): GConf2

%description
Buoh is a reader for online strips comics. It has a number of features,
including: Selecting your favorites comic through a list of more than 130
comics, easy & simple an eye-candy view of an online comic, browsing over
the comic strip archives.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

perl -pi -e "s,Terminal=0,Terminal=false,g" $RPM_BUILD_ROOT%{_datadir}/applications/buoh.desktop
desktop-file-install --delete-original			\
  --vendor=fedora								\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora						\
  $RPM_BUILD_ROOT%{_datadir}/applications/buoh.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/buoh.schemas > /dev/null  || :
killall -HUP gconfd-2 &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/buoh.schemas >/dev/null || :
  killall -HUP gconfd-2 &>/dev/null || :
fi
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/buoh.schemas > /dev/null || :
  killall -HUP gconfd-2 &>/dev/null || :
fi
		  
%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README NEWS TODO
%dir %{_datadir}/buoh
%dir %{_datadir}/buoh/comics
%dir %{_datadir}/buoh/ui
%{_bindir}/buoh
%{_sysconfdir}/gconf/schemas/buoh.schemas
%{_datadir}/applications/fedora-buoh.desktop
%{_datadir}/buoh/comics/comics.xml
%{_datadir}/buoh/ui/buoh-ui.xml
%{_datadir}/icons/hicolor/64x64/apps/buoh.png
%{_datadir}/icons/hicolor/16x16/apps/buoh.png

%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8.2-6
- fix license tag

* Tue Jun 24 2008 Tomas Mraz <tmraz@redhat.com> - 0.8.2-5
- rebuild with new gnutls

* Wed Mar  5 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.8.2-4
- Temporarily rebuild against libsoup-22 (#434015)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.2-3
- Autorebuild for GCC 4.3

* Tue Mar 20 2007 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.8.2-2
- add dist tag for FE6 -> Fedora 7 upgrade path

* Tue Nov 26 2006 Chris Chabot <chabotc@xs4all.nl> - 0.8.2-2
- fixed spec file glitch

* Tue Nov 26 2006 Chris Chabot <chabotc@xs4all.nl> - 0.8.2-1
- New upstream version

* Mon Sep 11 2006 Chris Chabot <chabotc@xs4all.nl> - 0.8.1-13
- FC6 retag & rebuild

* Mon Sep 11 2006 Chris Chabot <chabotc@xs4all.nl> - 0.8.1-12
- FC6 retag & rebuild

* Mon Sep 11 2006 Chris Chabot <chabotc@xs4all.nl> - 0.8.1-11
- rebuild

* Sun Aug 13 2006 Chris Chabot <chabotc@xs4all.nl> - 0.8.1-10
- cvs doesn't like me re-tag

* Sun Aug 13 2006 Chris Chabot <chabotc@xs4all.nl> - 0.8.1-9
- Rebuild for FC6T2

* Tue Jun 20 2006 Chris Chabot <chabotc@xs4all.nl> - 0.8.1-8
- Rebuild for gnutls dependency change

* Tue Feb 14 2006 Chris Chabot <chabotc@xs4all.nl> - 0.8.1-7
- Rebuild for Fedora Extras 5

* Fri Feb 10 2006 - Chris Chabot <chabotc@xs4all.nl> - 0.8.1-6
- Rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Dec 28 2005 - Chris Chabot <chabotc@xs4all.nl> - 0.8.1-5
- And changed %files entry too

* Wed Dec 28 2005 - Chris Chabot <chabotc@xs4all.nl> - 0.8.1-4
- Changed desktop entry vendor to fedora

* Mon Dec 27 2005 - Chris Chabot <chabotc@xs4all.nl> - 0.8.1-3
- Added desktop file utils to PreReq, and used to install .desktop file
  with Fedora category
- Copy icon files to _datadir/pixmaps so desktop envirioment can find them
- Quick fix up to .desktop file to Terminal=false instead of Terminal=0
  following freedesktop standard
- Removed ldconfig from post,prerun and postrun, this package has
  no .so's

* Mon Dec 26 2005 - Chris Chabot <chabotc@xs4all.nl> - 0.8.1-2
- Added gconf uninstall rules on upgrade and uninstall
- Commented out hard requirements, leaving them to rpm's autodep

* Fri Dec 23 2005 - Chris Chabot <chabotc@xs4all.nl> - 0.8.1-1
- Updated to upstream 0.8.1
- Upstream changed required gtk+ version to 2.6

* Fri Dec 23 2005 - Chris Chabot <chabotc@xs4all.nl> - 0.8-3
- Moved "rm -rf $RPM_BUILD_ROOT" from prep to install
- Removed "unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL" since
  this shouldn't be required (it has its own shell env)

* Tue Nov 15 2005 - Chris Chabot <chabotc@xs4all.nl> - 0.8-2
- Changed %makeinstall into make install DESTDIR=$RPM_BUILD_ROOT,
  was a bug in the makefiles that caused make install to install
  buoh's icons and xml files in /usr/share, not in the build root.

* Mon Nov 14 2005 - Chris Chabot <chabotc@xs4all.nl> - 0.8-1
- Initial version
